| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PoolDbContext Class Reference

Inheritance diagram for PoolDbContext:

[legend]
Collaboration diagram for PoolDbContext:

[legend]
List of all members.

## Detailed Description

Author:
  M.Frank

Version:
  1.0

Definition at line 37 of file PoolDbEvtSelector.cpp.

## Public Types
typedef std::list< std::string > | ListName
## Public Member Functions
| PoolDbContext (const PoolDbEvtSelector *pSelector)
| Standard constructor.
virtual | ~PoolDbContext ()
| Standard destructor.
const std::string & | currentInput () const
void | setCurrentInput (const std::string &v)
ListName & | files ()
virtual void * | identifier () const
void | setCriteria (const std::string &crit)
pool::Token * | token () const
void | setToken (pool::Token *p)
ListName::const_iterator | fileIterator ()
void | setFileIterator (ListName::const_iterator new_iter)
pool::DbSelect * | iterator () const
void | setIterator (pool::DbSelect *new_iter)
pool::DbSelect * | selectInput (IPoolDbMgr *mgr, const std::string &sel, const std::string &input, const std::string &cnt)
## Private Attributes
const PoolDbEvtSelector * | m_pSelector
pool::DbSelect * | m_iterator
pool::Token * | m_token
ListName | m_files
std::string | m_criteria
ListName::const_iterator | m_fileIterator
std::string | m_currentInput

## Member Typedef Documentation

typedef std::list<std::string> PoolDbContext::ListName

Definition at line 39 of file PoolDbEvtSelector.cpp.

## Constructor & Destructor Documentation

PoolDbContext::PoolDbContext | ( | const PoolDbEvtSelector * | pSelector | ) |

Standard constructor.

Definition at line 105 of file PoolDbEvtSelector.cpp.

References pool::DbInstanceCount::Counter::increment(), and s_countPoolDbContext.

    00106   : m_pSelector(pSelector), m_iterator(0), m_token(0)
    00107 {
    00108   s_countPoolDbContext->increment();
    00109 }

PoolDbContext::~PoolDbContext | ( |  | ) | `[virtual]`

Standard destructor.

Definition at line 99 of file PoolDbEvtSelector.cpp.

References pool::DbInstanceCount::Counter::decrement(), pool::deletePtr(), m_iterator, m_token, pool::releasePtr(), and s_countPoolDbContext.

    00099                               {
    00100   pool::deletePtr(m_iterator);
    00101   pool::releasePtr(m_token);
    00102   s_countPoolDbContext->decrement();
    00103 }

## Member Function Documentation

const std::string& PoolDbContext::currentInput | ( |  | ) | const`[inline]`

Definition at line 54 of file PoolDbEvtSelector.cpp.

References m_currentInput.

Referenced by PoolDbEvtSelector::next(), and PoolDbEvtSelector::rewind().

    00054                                         {
    00055     return m_currentInput;
    00056   }

void PoolDbContext::setCurrentInput | ( | const std::string & | v | ) | `[inline]`

Definition at line 57 of file PoolDbEvtSelector.cpp.

References m_currentInput.

Referenced by PoolDbEvtSelector::next(), PoolDbEvtSelector::rewind(), and selectInput().

    00057                                            {
    00058     m_currentInput = v;
    00059   }

ListName& PoolDbContext::files | ( |  | ) | `[inline]`

Definition at line 60 of file PoolDbEvtSelector.cpp.

References m_files.

Referenced by PoolDbEvtSelector::next(), PoolDbEvtSelector::resetCriteria(), and PoolDbEvtSelector::rewind().

    00060                     {
    00061     return m_files;
    00062   }

virtual void* PoolDbContext::identifier | ( |  | ) | const`[inline, virtual]`

Implements IEvtSelector::Context.

Definition at line 63 of file PoolDbEvtSelector.cpp.

References m_pSelector.

    00063                                    {
    00064     return (void*)m_pSelector;
    00065   }

void PoolDbContext::setCriteria | ( | const std::string & | crit | ) | `[inline]`

Definition at line 66 of file PoolDbEvtSelector.cpp.

References m_criteria.

Referenced by PoolDbEvtSelector::resetCriteria().

    00066                                           {
    00067     m_criteria = crit;
    00068   }

pool::Token* PoolDbContext::token | ( |  | ) | const`[inline]`

Definition at line 69 of file PoolDbEvtSelector.cpp.

References m_token.

Referenced by PoolDbEvtSelector::createAddress(), and PoolDbEvtSelector::next().

    00069                            {
    00070     return m_token;
    00071   }

void PoolDbContext::setToken | ( | pool::Token * | p | ) | `[inline]`

Definition at line 72 of file PoolDbEvtSelector.cpp.

References m_token, and pool::releasePtr().

Referenced by PoolDbEvtSelector::next(), and PoolDbEvtSelector::rewind().

    00072                               {
    00073     pool::releasePtr(m_token);
    00074     m_token = p;
    00075   }

ListName::const_iterator PoolDbContext::fileIterator | ( |  | ) | `[inline]`

Definition at line 76 of file PoolDbEvtSelector.cpp.

References m_fileIterator.

Referenced by PoolDbEvtSelector::next().

    00076                                                {
    00077     return m_fileIterator;
    00078   }

void PoolDbContext::setFileIterator | ( | ListName::const_iterator | new_iter | ) | `[inline]`

Definition at line 79 of file PoolDbEvtSelector.cpp.

References m_fileIterator.

Referenced by PoolDbEvtSelector::next(), PoolDbEvtSelector::resetCriteria(), and PoolDbEvtSelector::rewind().

    00079                                                          {
    00080     m_fileIterator = new_iter;
    00081   }

pool::DbSelect* PoolDbContext::iterator | ( |  | ) | const`[inline]`

Definition at line 82 of file PoolDbEvtSelector.cpp.

References m_iterator.

Referenced by PoolDbEvtSelector::next(), and selectInput().

    00082                                  {
    00083     return m_iterator;
    00084   }

void PoolDbContext::setIterator | ( | pool::DbSelect * | new_iter | ) | `[inline]`

Definition at line 85 of file PoolDbEvtSelector.cpp.

References pool::deletePtr(), and m_iterator.

Referenced by PoolDbEvtSelector::next(), PoolDbEvtSelector::rewind(), and selectInput().

    00085                                             {
    00086     pool::deletePtr(m_iterator);
    00087     m_iterator = new_iter;
    00088   }

pool::DbSelect * PoolDbContext::selectInput | ( | IPoolDbMgr * | mgr,
|  | const std::string & | sel,
|  | const std::string & | input,
|  | const std::string & | cnt |
| ) |  |  |

Definition at line 112 of file PoolDbEvtSelector.cpp.

References IPoolDbMgr::createSelect(), iterator(), setCurrentInput(), and setIterator().

Referenced by PoolDbEvtSelector::next().

    00116 {
    00117   setIterator(mgr->createSelect(sel,input,cnt));
    00118   iterator() ? setCurrentInput(input) : setCurrentInput("");
    00119   return iterator();
    00120 }

## Member Data Documentation

const PoolDbEvtSelector* PoolDbContext::m_pSelector`[private]`

Definition at line 41 of file PoolDbEvtSelector.cpp.

Referenced by identifier().

pool::DbSelect* PoolDbContext::m_iterator`[mutable, private]`

Definition at line 42 of file PoolDbEvtSelector.cpp.

Referenced by iterator(), setIterator(), and ~PoolDbContext().

pool::Token* PoolDbContext::m_token`[mutable, private]`

Definition at line 43 of file PoolDbEvtSelector.cpp.

Referenced by setToken(), token(), and ~PoolDbContext().

ListName PoolDbContext::m_files`[private]`

Definition at line 44 of file PoolDbEvtSelector.cpp.

Referenced by files().

std::string PoolDbContext::m_criteria`[private]`

Definition at line 45 of file PoolDbEvtSelector.cpp.

Referenced by setCriteria().

ListName::const_iterator PoolDbContext::m_fileIterator`[private]`

Definition at line 46 of file PoolDbEvtSelector.cpp.

Referenced by fileIterator(), and setFileIterator().

std::string PoolDbContext::m_currentInput`[private]`

Definition at line 47 of file PoolDbEvtSelector.cpp.

Referenced by currentInput(), and setCurrentInput().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/src/PoolDbEvtSelector.cpp